<?php
/*
Plugin Name: RatenTweet
Plugin URI: http://ratentweet.com
Description: Add Rate 'n Tweet code for Twitter rating. Readers will click on the rating and will be forwarded to twitter.
Version: 1.0
Author: Softarize
Author URI: http://www.softerize.com
*/


/*  Copyright 2010  Rate 'n Tweet  (email : contact@ratentweet.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
 * Administration menu
 */
function ratentweet_admin() {

    $pluginname = "Rate 'n Tweet";

    $i=0;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$pluginname.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$pluginname.' settings reset.</strong></p></div>';

?>
<div class="wrap">
<h2><?php echo $pluginname; ?> Settings</h2>

<form method="post">

 <p>
    <label for="ratentweet_icon">Icon Type</label>:
    <select name="ratentweet_icon" id="ratentweet_icon">
        <option value="star" <?php if (get_option( 'ratentweet_icon' ) == 'star') { echo 'selected="selected"'; } ?>>Star</option>
        <option value="smiley" <?php if (get_option( 'ratentweet_icon' ) == 'smiley') { echo 'selected="selected"'; } ?>>Smiley</option>
        <option value="bird" <?php if (get_option( 'ratentweet_icon' ) == 'bird') { echo 'selected="selected"'; } ?>>Bird</option>
    </select>
    <small>Select the icon appearence</small>
</p>

 <p>
    <label for="ratentweet_size">Icon Type</label>:
    <select name="ratentweet_size" id="ratentweet_icon">
        <option value="small" <?php if (get_option( 'ratentweet_size' ) == 'small') { echo 'selected="selected"'; } ?>>Small - 16px</option>
        <option value="medium" <?php if (get_option( 'ratentweet_size' ) == 'medium') { echo 'selected="selected"'; } ?>>Medium - 24px</option>
        <option value="big" <?php if (get_option( 'ratentweet_size' ) == 'big') { echo 'selected="selected"'; } ?>>Big - 32px</option>
    </select>
    <small>Select the icon size</small>
</p>

</div>

<p class="submit">
<input type="submit" name="save" value="Save" />
<input type="hidden" name="action" value="save" />
</p>
</form>

<?php
}

function ratentweet_add_admin() {

    if ( $_GET['page'] == basename(__FILE__) ) {
        if ( 'save' == $_REQUEST['action'] ) {

            $icon = $_REQUEST['ratentweet_icon'];
            update_option('ratentweet_icon', $icon);

            $size = $_REQUEST['ratentweet_size'];
            update_option('ratentweet_size', $size);

            header("Location: options-general.php?page=ratentweet.php&saved=true");

            die;
        }
    }

    add_options_page("Rate 'n Tweet", "Rate 'n Tweet", 1, "ratentweet.php", "ratentweet_admin");
}

add_action('admin_menu', 'ratentweet_add_admin');



/*
 * Plugin code
 */
function add_ratentweetjs()
{
    if (is_single()) {
        echo '<script type="text/javascript" src="http://ratentweet.com/0.8/ratentweet_min.js"></script>';
        echo '<script type="text/javascript">
            window.onload = function() {
                new Ratentweet( {
                        title: "'.the_title('', '', false).'",
                        link: "'.get_permalink().'",
                        starStyle: "'.get_option( 'ratentweet_icon' ).'",
                        size: "'.get_option( 'ratentweet_size' ).'"
                } );
            }
            </script>';
    }
}

function add_ratentweet($content)
{
    if(is_single()) {
        $ratentweet= '<div id="ratentweet"></div>';
        return $content.$ratentweet;
    } else {
        return $content;
    }
}

add_action('wp_head', 'add_ratentweetjs');
add_filter('the_content', 'add_ratentweet');

?>